Subject: Re: CPPCheck found 24 high risk bugs in Git v.1.8.3.4

From: Andreas Schwab <[email-masked]>
Date: Wed, 21 Aug 2013 01:01:32 +0200

Erik Faye-Lund <[email-masked]> writes:

> I don't see how it's undefined. It's using the memory that 'pos'
> *points to* that is undefined, no? The difference between 'pos' and
> 'str' should still be the same, it's not like realloc somehow
> magically updates 'pos'...

It does.  Think of segmented architectures, where freeing a pointer
invalidates its segment, so that even loading the value of the pointer
traps.  Probably no such architecture is in use any more, though.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."